org.codehaus.groovy.runtime.metaclass

## Class MixinInstanceMetaProperty

- java.lang.Object
- - groovy.lang.MetaProperty
  - - groovy.lang.MetaBeanProperty
    - - org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaProperty

-     public class MixinInstanceMetaProperty
      extends MetaBeanProperty

  MetaProperty for mixed in classes

- - ### Field Summary

    - ### Fields inherited from class groovy.lang.MetaProperty

      `name, PROPERTY_SET_PREFIX, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixinInstanceMetaProperty(MetaProperty property, MixinInMetaClass mixinInMetaClass)`

  - ### Method Summary

    - ### Methods inherited from class groovy.lang.MetaBeanProperty

      `getField, getGetter, getModifiers, getProperty, getSetter, setField, setProperty`

    - ### Methods inherited from class groovy.lang.MetaProperty

      `getGetterName, getName, getSetterName, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MixinInstanceMetaProperty

          public MixinInstanceMetaProperty(MetaProperty property,
                                   MixinInMetaClass mixinInMetaClass)